function L = pinball_loss(q, y, z)
    % z - quantile forecast, vector
    % y - real value,
    % q - target quantile, vector
    if sum(y >= z) == length(z) % if all are greater/lesser -> do for all
        L = (y - z) .* q;
    elseif sum(y <= z) == length(z)
        L = (z - y) .* (1 - q);
    else % if not -> do for each one independently
        L = ones(1, length(q));
        for i = 1:length(q)
            if y >= z(i)
                L(i) = (y - z(i)) * q(i);
            elseif y <= z(i)
                L(i) = (z(i) - y) * (1 - q(i));
            end
        end
    end
end
