close all
%%
hour = 8; % hour for analysis
market = 'ID';
country = 'PL';
% asinh1 (mean)
OOS_1 = load(['../../../Data_MATLAB_Drive/Data/GARCH_OOS_simulation_results_',  country, '_', market, '_model_7_transformation_asinh1_dynamic_choice_0_mc_0_dist_g.mat'],...
        'real_value', 'prediction', 'residua', 'mae_hourly', 'rmse_hourly',...
            'garch_coefficients', 'con_var', 'quantiles', 'quantiles_no_garch',...
            'pinball', 'pinball_no_garch', 'archtest_results', 'aic_matrice',...
            'bic_matrice', 'kstest_results', 'kstesttstud_results',...
            'price_mu_vector', 'price_sigma_vector');
% asinh2 (median)
OOS_2 = load(['../../../Data_MATLAB_Drive/Data/GARCH_OOS_simulation_results_',  country, '_', market, '_model_7_transformation_asinh2_dynamic_choice_0_mc_0_dist_g.mat'],...
        'real_value', 'prediction', 'residua', 'mae_hourly', 'rmse_hourly',...
            'garch_coefficients', 'con_var', 'quantiles', 'quantiles_no_garch',...
            'pinball', 'pinball_no_garch', 'archtest_results', 'aic_matrice',...
            'bic_matrice', 'kstest_results', 'kstesttstud_results',...
            'price_mu_vector', 'price_sigma_vector');
fignum = 1;
%% Data view
figure(fignum)
subplot(2,1,1)
plot(OOS_1.real_value(hour,:))
hold on
plot(OOS_1.prediction(hour,:))
plot(OOS_1.quantiles(hour, :, 1), '--')
plot(OOS_1.quantiles(hour, :, end), '--')
plot(OOS_1.quantiles_no_garch(hour, :, 1), '--')
plot(OOS_1.quantiles_no_garch(hour, :, end), '--')
hold off
title(['Data, prediction and 5 and 95 percentiles, hour ', num2str(hour)])
legend("Data", "Prediction", "0.05 GARCH", "0.95 GARCH", "0.05 residuals variance", "0.95 residuals variance", 'Location', 'southeast')
subplot(2,1,2)
plot(OOS_1.con_var(hour,:))
title("Conditional variance")
fignum = fignum + 1;
%
figure(fignum)
subplot(2,1,1)
plot(OOS_2.real_value(hour,:))
hold on
plot(OOS_2.prediction(hour,:))
plot(OOS_2.quantiles(hour, :, 1), '--')
plot(OOS_2.quantiles(hour, :, end), '--')
plot(OOS_2.quantiles_no_garch(hour, :, 1), '--')
plot(OOS_2.quantiles_no_garch(hour, :, end), '--')
hold off
title(['Data, prediction and 5 and 95 percentiles, hour ', num2str(hour)])
legend("Data", "Prediction", "0.05 GARCH", "0.95 GARCH", "0.05 residuals variance", "0.95 residuals variance", 'Location', 'southeast')
subplot(2,1,2)
plot(OOS_2.con_var(hour,:))
title("Conditional variance")
fignum = fignum + 1;

%% archtest results - doc: "h = 1 indicates that you should reject null hypothesis of no conditional heteroscedasticity and conclude that there are significant ARCH effects"
disp("archtest - relative results asinh1 vs asinh2:")
disp([[1:24]', (sum(OOS_1.archtest_results(:, :, 1), 2) - sum(OOS_2.archtest_results(:, :, 1), 2)) / length(OOS_1.archtest_results(:, :, 1))])
for hour = 1:24
    figure(fignum)
    plot(OOS_1.archtest_results(hour, :, 2))
    ylim([0, 1])
    title(['P-value for hour ', num2str(hour)])
    fignum = fignum + 1;
end