function constant_weights_plots(ID, DA, w, hours)
    W = [w; 1 - w];
    Compounded_price = ones([size(DA.samples), length(W)]) * -999;
    for h = 1:24
        for i = 1:length(W)
            Compounded_price(h, :, :, i) = W(1, i) * DA.samples(h, :, :) + W(2, i) * ID.samples(h, :, :);
        end
    end
    XDates = datetime(2017,1,1):datetime(2020,12,31);
    for h = hours
        Mean_of_compounded_prices = mean(Compounded_price(h, :, :, :), 2);
        Std_of_compounded_prices = std(Compounded_price(h, :, :, :));
        figure(h)
        subplot(4,1,1)
        s = surf(squeeze(Mean_of_compounded_prices), "FaceAlpha", 0.5);
        title(['Mean, hour ', num2str(h)])
        s.EdgeColor = 'none';
        subplot(4,1,2)
        plot(XDates(374:end), squeeze(Mean_of_compounded_prices))
        subplot(4,1,3)
        s = surf(squeeze(Std_of_compounded_prices), "FaceAlpha", 0.5);
        title(['Std, hour ', num2str(h)])
        s.EdgeColor = 'none';
        subplot(4,1,4)
        plot(XDates(374:end), squeeze(Std_of_compounded_prices))
    
        figure(h + 24)
        subplot(2,1,1)
        plot(mean(squeeze(Std_of_compounded_prices)), mean(squeeze(Mean_of_compounded_prices)))
        xlabel("Std")
        ylabel("Mean")
        title(['Mean vs Std, hour ', num2str(h)])
        T = XDates(374:end);
        subtitle("Mean over time")
        x = repmat(T, [101, 1]);                                                % Create Data
        y = squeeze(Std_of_compounded_prices)';                                 % Create Data
        z = squeeze(Mean_of_compounded_prices)';                                % Create Data
        zscaled = z(:) * 10;                                            % May Be Necessary To Scale The Colour Vector
        cn = ceil(max(zscaled));                                        % Number Of Colors (Scale AsAppropriate)
        cm = colormap(jet(cn));                                         % Define Colormap
        subplot(2,1,2)
        scatter3(x(:), y(:), z(:), 20, z(:), '.')
        colorbar
        grid on
        xlabel("t")
        ylabel("Std")
        zlabel("Mean")
    end
end

