function PS = strategy_pinball_score(Real_wallet_values, Scenarios_DA, Scenarios_ID, Weights, Hours, q)
    days_no = size(Scenarios_DA, 3);
    % construction of joint probabilistic forecasts
    Predicted = ones(length(Hours), days_no, size(Scenarios_DA, 2));
    for day = 1:days_no
        for hour = Hours
            Predicted(hour, day, :) = Weights(day, hour) * Scenarios_ID(hour, :, day) + ...
                (1 - Weights(day, hour)) * Scenarios_DA(hour, :, day);
        end
    end
    % pinball score for joint probabilisic forecasts
    Mean_predicted = squeeze(mean(Predicted, 1));
    PS = ones(days_no, length(q));
    for day = 1:days_no
        PS(day, :) = pinball_loss(q, Real_wallet_values(day), quantile(Mean_predicted(day, :), q));
    end
end