function [Max, Second_max] = tables_max(Results_from_every_combination, side, collumn, model, hours_interval)
    % calculate the overall max and second max from the certain collumn of
    % matrices given by Results_from_every_combination
    % - Results_from_every_combination (nd array) - array of all results
    % saved in the weights_optimization_GE.m
    % - side (int, 1 or 2) - transaction side, 1 for buyer or 2 for seller
    % - collumn (int) - collumn to choose the max from
    % - model (str) - 'GARCH' or 'ARX'
    % - hours_interval (int) - 1 for 7-13, 2 for 13 - 17, 3 for 18 - 21, 4
    % for 22 - 6
    Transaction_sides = {'buyer', 'seller'};
    Models_DA = {'GJRGARCH', 'GARCH'};
    Models_ID = {'GJRGARCH', 'GARCH'};
    Transformations_DA = {'', 'asinh'};
    Transformations_ID = {'', 'asinh'};
    measures = {'std', 'sharpe', 'semistd_down', 'semistd_up', 'std_and_profit', 'mean_and_std', 'mean'};
    Thresholds = {7, 13, 18, 22};
    if strcmp(model, 'GARCH')
        [max_result, ~] = max(Results_from_every_combination(side, :, :, :, :, hours_interval, :, collumn), [], 7);
        index_of_max = find(max(max_result(:)) == Results_from_every_combination);
        [i1, i2, i3, i4, i5, i6, i7, ~] = ind2sub(size(Results_from_every_combination), index_of_max(side));
        Parameters = {Transaction_sides, Models_DA, Models_ID, Transformations_DA, Transformations_ID, Thresholds, measures};
        counter = 1;
        disp('Max results: ')
        for index = [i1, i2, i3, i4, i5, i6, i7]
            disp(Parameters{counter}{index})
            counter = counter + 1;
        end

        Max = max(max_result(:));

        Results_from_every_combination_copy = Results_from_every_combination;%(:, :, :, :, :, :, 1:end - 1, :);
        for m_val = max_result(:)'
            [i1, i2, i3, i4, i5, i6, i7] = ind2sub( ...
                size( ...
                    Results_from_every_combination_copy(:, :, :, :, :, :, :, collumn)), ...
                    find(m_val == Results_from_every_combination_copy(:, :, :, :, :, :, :, collumn)));
            try
                for i = 1:length(i1)
                    Results_from_every_combination_copy(i1(i), i2(i), i3(i), i4(i), i5(i), i6(i), i7(i), collumn) = nan;
                end
            catch
                Results_from_every_combination_copy(i1, i2, i3, i4, i5, i6, i7, collumn) = nan;
            end
        end
        [max_result, ~] = max(Results_from_every_combination_copy(side, :, :, :, :, hours_interval, :, collumn), [], 7);
        index_of_max = find(max(max_result(:)) == Results_from_every_combination_copy);
        [i1, i2, i3, i4, i5, i6, i7, ~] = ind2sub(size(Results_from_every_combination_copy), index_of_max(side));
        Parameters = {Transaction_sides, Models_DA, Models_ID, Transformations_DA, Transformations_ID, Thresholds, measures};
        counter = 1;
        disp('Second max results: ')
        for index = [i1, i2, i3, i4, i5, i6, i7]
            disp(Parameters{counter}{index})
            counter = counter + 1;
        end

        Second_max = max(max_result(:));
    elseif strcmp(model, 'ARX')
        [max_result, ~] = max(Results_from_every_combination(side, :, :, hours_interval, :, collumn), [], 5);
        index_of_max = find(max(max_result(:)) == Results_from_every_combination);
        [i1, i2, i3, i4, i5, ~] = ind2sub(size(Results_from_every_combination), index_of_max(side));
        Parameters = {Transaction_sides, Transformations_DA, Transformations_ID, Thresholds, measures};
        counter = 1;
        disp('Max results: ')
        for index = [i1, i2, i3, i4, i5]
            disp(Parameters{counter}{index})
            counter = counter + 1;
        end

        Max = max(max_result(:));

        Results_from_every_combination_copy = Results_from_every_combination;
        for m_val = max_result(:)'
            [i1, i2, i3, i4, i5, i6] = ind2sub( ...
                size( ...
                    Results_from_every_combination_copy(:, :, :, :, :, collumn)), ...
                    find(m_val == Results_from_every_combination_copy(:, :, :, :, :, collumn)));
            try
                for i = 1:length(i1)
                    Results_from_every_combination_copy(i1(i), i2(i), i3(i), i4(i), i5(i), collumn) = nan;
                end
            catch
                Results_from_every_combination_copy(i1, i2, i3, i4, i5, i6, collumn) = nan;
            end
    
        end
        [max_result, ~] = max(Results_from_every_combination_copy(side, :, :, hours_interval, :, collumn), [], 5);
        index_of_max = find(max(max_result(:)) == Results_from_every_combination);
        [i1, i2, i3, i4, i5, ~] = ind2sub(size(Results_from_every_combination_copy), index_of_max(side));
        Parameters = {Transaction_sides, Transformations_DA, Transformations_ID, Thresholds, measures};
        counter = 1;
        disp('Second max results: ')
        for index = [i1, i2, i3, i4, i5]
            disp(Parameters{counter}{index})
            counter = counter + 1;
        end

        Second_max = max(max_result(:));
    end
end
