Mdl = garch('Constant',0.7,'GARCH',0,'ARCH',0.05);
M = 1000;
x_values = -0.5:0.01:0.5;
results_1 = ones(length(x_values), 1);
results_2 = ones(length(x_values), 1);

parfor c = 1:length(x_values)
    x_v = x_values(c);
    counter_1 = 0;
    counter_2 = 0;
    for step = 1:M
        [Vn,Yn] = simulate(Mdl,365,'NumPaths',1);
        X = zeros(1, 365);
        for i = 2:length(X)
            X(i) = X(i - 1)*x_v + Yn(i);
        end
        [h, ~] = archtest(X, Lags=1);
        counter_1 = counter_1 + h;
        [h, ~] = lbqtest(X, Lags=1);
        counter_2 = counter_2 + h;
    end
    results_1(c) = counter_1/M;
    results_2(c) = counter_2/M;
end

plot(x_values, results_1, 'DisplayName', 'rejection of no ARCH(1) effect')
hold on
plot(x_values, results_2, "DisplayName", "rejection of the no residual autocorrelation")
title("Power with respect to autocorrelation")
